#include <iostream>
#include <fstream>
#include <ctime>
#include <string>
#include <stack>
#include <sstream>

using namespace std;

// NOTE: Generating random numbers because the file doesn't exist

int random(int min, int max) {
	return rand() % (max - min + 1) + min;
}

int convertToInt(string s) {
	stringstream ss(s);
	int n;

	ss >> n;

	return n;
}

int main() {
	srand(time(nullptr));

	ofstream brojevi("brojevi.txt");
	if (!brojevi) {
		cout << "Error when trying to create the file." << endl;
		return 1;
	}

	const int NUMBERS_OF_INTS = 150;
	for (unsigned i = 0; i < NUMBERS_OF_INTS; i++) {
		brojevi << random(1, 1000) << endl;
	}

	brojevi.close();
	
	// (Loading) the numbers file
	ifstream num("brojevi.txt");
	if (!num) {
		cout << "Cannot find the file!" << endl;
		return 1;
	}

	// Writing all of the numbers in a reversed order
	ofstream num2("reversed.txt");
	if (!num2) {
		cout << "Error when trying to create the file." << endl;
		return 1;
	}

	stack<int> reversedNumbers;

	string line;
	while (getline(num, line)) {
		reversedNumbers.push(convertToInt(line));
	}

	while (!reversedNumbers.empty()) {
		int n = reversedNumbers.top();
		num2 << n << endl;
		reversedNumbers.pop();
	}

	num.close();
	num2.close();

	return 0;
}